//
//  ColorExtensions.swift
//  Abra
//
//  Created by Paul Nettle on 10/7/21.
//
// This file is part of The Nettle Magic Project.
// Copyright © 2022 Paul Nettle. All rights reserved.
//
// Use of this source code is governed by a BSD-style license that can be found
// in the LICENSE file in the root of the source tree.

import SwiftUI

extension Color {
	static let brightRed: Color = Color(red: 1, green: 0, blue: 0)
	static let brightGreen: Color = Color(red: 0, green: 1, blue: 0)
	static let brightBlue: Color = Color(red: 0, green: 0, blue: 1)

	static let highlightedButtonColor: Color = Color(red: 0.6459, green: 0.7832, blue: 0.9358)

	static let darkGray: Color = Color(white: 0.2)
	static let mediumGray: Color = Color(white: 0.5)
	static let lightGray: Color = Color(white: 0.8)
}
